X2Go Bug report logs - #696
Can't resume session started by Windows X2Go client with Linux X2Go client

version graph

Package: x2goclient; Maintainer for x2goclient is X2Go Developers <x2go-dev@lists.x2go.org>; Source for x2goclient is src:x2goclient.

Reported by: Daniel Lindgren <bd.dali@gmail.com>

Date: Wed, 10 Dec 2014 16:35:01 UTC

Severity: normal

Tags: pending

Merged with 891, 896

Found in versions 4.0.4.0, 4.0.3.1-1

Fixed in version 4.0.4.1

Done: X2Go Release Manager <git-admin@x2go.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#696; Package x2goclient. (Wed, 10 Dec 2014 16:35:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Daniel Lindgren <bd.dali@gmail.com>:
New Bug report received and forwarded. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Wed, 10 Dec 2014 16:35:02 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.x2go.org (full text, mbox):

From: Daniel Lindgren <bd.dali@gmail.com>
To: submit@bugs.x2go.org
Subject: Can't resume session started by Windows X2Go client with Linux X2Go client
Date: Wed, 10 Dec 2014 17:33:02 +0100
[Message part 1 (text/plain, inline)]
Package: x2goclient
Version: 4.0.3.1-1

Started a new session from a Windows 7 PC with X2Go client (4.0.3.0) to a
Debian Jessie PC with X2Go server
(4.0.1.18-0x2go1+git20141006.949+jessie.main.1). Disconnected the session.

Tried to resume the suspended session from a Debian Jessie PC with X2Go
client (4.0.3.1-1), an error message was presented that said:

Failed to restore all the required visuals.
Cant't resume the NX session on this display.

The other way around works (starting a new session on Linux and resuming it
from Windows).

Cheers,
Daniel
[Message part 2 (text/html, inline)]

Marked as found in versions 4.0.4.0. Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sat, 18 Jul 2015 20:45:02 GMT) Full text and rfc822 format available.

Merged 696 891 896 Request was from Mihai Moldovan <ionic@ionic.de> to control@bugs.x2go.org. (Sat, 18 Jul 2015 20:45:02 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#696; Package x2goclient. (Sun, 26 Jul 2015 18:40:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Mike DePaulo <mikedep333@gmail.com>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Sun, 26 Jul 2015 18:40:02 GMT) Full text and rfc822 format available.

Message #14 received at 696@bugs.x2go.org (full text, mbox):

From: Mike DePaulo <mikedep333@gmail.com>
To: 696-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 696@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as pending for release
Date: Sun, 26 Jul 2015 20:35:51 +0200 (CEST)
tag #696 pending
fixed #696 4.0.4.1
thanks

Hello,

X2Go issue #696 (src:x2goclient) reported by you has been
fixed in X2Go Git. You can see the changelog below, and you can
check the diff of the fix at:

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=32307c6

The issue will most likely be fixed in src:x2goclient (4.0.4.1).

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
commit 32307c6299cef59c43b59746f87475f343a473d0
Author: Mike DePaulo <mikedep333@gmail.com>
Date:   Sun Jul 26 14:24:07 2015 -0400

    Update VcXsrv: 1.17.0.0-2 (X2Go/Arctica Build) -> 1.17.0.0-3 (X2Go/Arctica Build)

diff --git a/debian/changelog b/debian/changelog
index f96c54a..f0294cf 100644
--- a/debian/changelog
+++ b/debian/changelog
@@ -86,10 +86,20 @@ x2goclient (4.0.4.1-0x2go1) UNRELEASED; urgency=low
       which fixes the multiple CVEs announced on 2015-06-11 and
       CVE-2015-1793 (announced on 2015-07-09).
     - Windows: Update bundled VcXsrv from 1.17.0.0-1 (X2Go/Arctica Build)
-      to 1.17.0.0-2 (X2Go/Arctica Build)
+      to 1.17.0.0-3 (X2Go/Arctica Build)
       The differences relevant to X2Go are:
         + VcXsrv's bundled version of openssl was updated from 1.0.2a
-          to 1.0.2c (fixes the multiple CVEs announced on 2015-06-11)
+          to 1.0.2d (fixes the multiple CVEs announced on 2015-06-11 and
+          CVE-2015-1793 (announced on 2015-07-09).
+        + Drop winmultiwindow.patch (Part of #883)
+        + hw/xwin/glx: Don't create fbConfigs for un-accelerated
+          pixelFormats
+          This has the effect of disabling StaticColor under
+          MultiWindow mode with -wgl (default) and -swrastwgl, and
+          thus making X2Go sessions started from the Windows client
+          able to be resumed on the client on a different OS or the
+          client runing on Windows with different display settings.
+          (Fixes: #696)
 
   [ Henning Heinold ]
   * New upstream release (4.0.4.1):


Added tag(s) pending. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sun, 26 Jul 2015 18:40:03 GMT) Full text and rfc822 format available.

Marked as fixed in versions 4.0.4.1. Request was from Mike DePaulo <mikedep333@gmail.com> to control@bugs.x2go.org. (Sun, 26 Jul 2015 18:40:03 GMT) Full text and rfc822 format available.

Message sent on to Daniel Lindgren <bd.dali@gmail.com>:
Bug#696. (Sun, 26 Jul 2015 18:40:04 GMT) Full text and rfc822 format available.

Information forwarded to x2go-dev@lists.x2go.org, X2Go Developers <x2go-dev@lists.x2go.org>:
Bug#696; Package x2goclient. (Tue, 28 Jul 2015 02:55:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to X2Go Release Manager <git-admin@x2go.org>:
Extra info received and forwarded to list. Copy sent to X2Go Developers <x2go-dev@lists.x2go.org>. (Tue, 28 Jul 2015 02:55:02 GMT) Full text and rfc822 format available.

Message #26 received at 696@bugs.x2go.org (full text, mbox):

From: X2Go Release Manager <git-admin@x2go.org>
To: 696-submitter@bugs.x2go.org
Cc: control@bugs.x2go.org, 696@bugs.x2go.org
Subject: X2Go issue (in src:x2goclient) has been marked as closed
Date: Tue, 28 Jul 2015 04:50:04 +0200 (CEST)
close #696
thanks

Hello,

we are very hopeful that X2Go issue #696 reported by you
has been resolved in the new release (4.0.5.0) of the
X2Go source project »src:x2goclient«.

You can view the complete changelog entry of src:x2goclient (4.0.5.0)
below, and you can use the following link to view all the code changes
between this and the last release of src:x2goclient.

    http://code.x2go.org/gitweb?p=x2goclient.git;a=commitdiff;h=4caef96a30c62c24a2077fd003e0a5f238885b17;hp=301b58ced7f1591476af7a50d2c759deea9895d1

If you feel that the issue has not been resolved satisfyingly, feel
free to reopen this bug report or submit a follow-up report with
further observations described based on the new released version
of src:x2goclient.

Thanks a lot for contributing to X2Go!!!

light+love
X2Go Git Admin (on behalf of the sender of this mail)

---
X2Go Component: src:x2goclient
Version: 4.0.5.0-0x2go1
Status: RELEASE
Date: Tue, 28 Jul 2015 04:48:20 +0200
Fixes: 696 882 901 909 911
Changes: 
 x2goclient (4.0.5.0-0x2go1) RELEASED; urgency=low
 .
   [ Mihai Moldovan ]
   * New upstream release (4.0.5.0):
     - INSTALL: add more verbose instructions on how to build X2Go Client and
       friends.
     - onmainwindow.{cpp,h}: rename slotScDaemonOut() and slotScDaemonError()
       to slotScDaemonStdOut() and slotScDaemonStdErr(). I will need
       slotScDaemonError() later and the previous names were a bit of a
       misnomer.
     - x2goutils.{cpp,h}: add new show_RichText_Generic_MsgBox() main function
       designed to replace the show_RichText_WarningMsgBox() function.
     - x2goutils.{cpp,h}: make show_RichText_WarningMsgBox() use
       show_RichText_Generic_MsgBox ().
     - x2goutils.{cpp,h}: new show_RichText_ErrorMsgBox() function as a wrapper
       for show_RichText_Generic_MsgBox() with a critical icon.
     - onmainwindow.{cpp,h}: properly handle scdaemon errors with a message box
       and close the client.
     - onmainwindow.cpp: manipulate PATH and append /usr/lib/gnupg2/ to it when
       starting scdaemon. Fixes: #882.
     - x2goutils.h: add QMessageBox include, fixed compile error.
     - onmainwindow.cpp: fix typos leading to compile errors.
     - onmainwindow.cpp: add blocks to switch cases to fix a compile error.
       Also correctly append to informative_text on one occasion, instead of
       overwriting it.
     - x2goutils.cpp: correct typo to fix compile errors.
     - onmainwindow.cpp: drop a redundant variable and fix empty env check.
     - onmainwindow.cpp: add more newlines to scdaemon error output. Use
       trayQuit() method to really quit the client.
     - onmainwindow.cpp: add debugging output for new scdaemon PATH value.
     - onmainwindow.cpp: split up PATH value as printed in the error message
       box by a newline every 100 characters. Makes it look less ugly and fixes
       truncation issues.
     - sshprocess.cpp: export PATH variable when running commands. Otherwise,
       only the first one will respect the new PATH value.
     - sshprocess.cpp: wrap SSH command prelude and conclusion in double
       quotes.
     - sshprocess.cpp: wrap all remote commands with "bash" instead of the
       unspecific "sh".
     - onmainwindow.cpp: try to escape shell quotes correctly when using
       Kerberos/GSSApi when running the xmodmap keyboard sync command on OS X.
     - onmainwindow.cpp: also escape other shell quotes when using
       Kerberos/GSSApi.
     - onmainwindow.cpp: silence compiler warning by casting an int value to
       std::size_t.
     - onmainwindow.cpp: silence another compiler warning by not converting
       from string to int and back to string needlessly. Just use the string.
       No need for an OS X-specific variable anymore.
     - onmainwindow.cpp: fix compile error - use QString.toAscii () to get a
       valid C string representation for tr ().
     - onmainwindow.cpp: don't terminate if scdaemon exited with non-zero exit
       code.
     - sshprocess.cpp: don't use QProcess::start (QString). Qt is trying to be
       too smart and causes big trouble. Instead, use QProcess::start (QString,
       QStringList) and pass the arguments as a list. On Windows, Qt will
       automatically double quote the arguments and duplicate escaped double
       quotes or escape non-escaped double quotes. On UNIX-like platforms, each
       element of the list is passed as a unique argv element, so there's no
       need for quoting them (that's only a shell-internal thing to group
       arguments.)
     - sshprocess.cpp: add a bit more debugging - also print out the unmodified
       raw output of SSH commands.
     - onmainwindow.cpp: remove now-bogus double quote escaping.
     - sshmasterconnection.cpp: port QProcess::start () change.
     - sshprocess.cpp: whitespace/prettify only and a compile fix.
     - x2goclient.pro: reinstate old lrelease "search" behavior if
       qtPrepareTool() is not available. This should only happen on EPEL 6,
       which ships a broken Qt4 version...
     - onmainwindow.cpp: only set multidisplay mode for non-rootless sessions.
     - {ui/xsettingsui.ui,xsettingswidget.cpp}: add new "whole display" option
       for external X server configuration. Part of #883.
     - onmainwindow.cpp: rename "optionsmd" setting to "optionswholedisplay",
       which is more clear.
     - xsettingswidget.cpp: fix compile error: settings -> setting.
     - sessionmanagedialog.cpp: enable some debugging and make selected
       sessions configureable or deletable. Fixes: #909.
 .
   [ Mike Gabriel ]
   * debian/control:
     + Add alternative D for nxproxy: qvd-nxproxy. Allows parallel installation
       of X2Go Client and the TheQVD client (perl-qvd-client).
 .
   [ Mike DePaulo ]
     - Windows: Update bundled Win32 OpenSSL from 1.0.1m to 1.0.1p,
       which fixes the multiple CVEs announced on 2015-06-11 and
       CVE-2015-1793 (announced on 2015-07-09).
     - Windows: Upgrade the MSVC 2008 DLLs (9.0.21022.8) to the
       MSVC 2013 DLLs (12.0.21005.1), which Win32 OpenSSL now requires.
     - Windows: Only bundle msvcr120.dll; The other 2 MSVC DLLs aren't
       needed by Win32 OpenSSL.
     - Windows: Update bundled Cygwin OpenSSL from 1.0.2a-1 to 1.0.2d-1, which
       which fixes the multiple CVEs announced on 2015-06-11 and
       CVE-2015-1793 (announced on 2015-07-09).
     - Windows: Update bundled VcXsrv from 1.17.0.0-1 (X2Go/Arctica Build)
       to 1.17.0.0-3 (X2Go/Arctica Build)
       The differences relevant to X2Go are:
         + VcXsrv's bundled version of openssl was updated from 1.0.2a
           to 1.0.2d (fixes the multiple CVEs announced on 2015-06-11 and
           CVE-2015-1793 (announced on 2015-07-09).
         + Drop winmultiwindow.patch (Part of #883)
         + hw/xwin/glx: Don't create fbConfigs for un-accelerated
           pixelFormats
           This has the effect of disabling StaticColor under
           MultiWindow mode with -wgl (default) and -swrastwgl, and
           thus making X2Go sessions started from the Windows client
           able to be resumed on the client on a different OS or the
           client runing on Windows with different display settings.
           (Fixes: #696)
     - Linux: Fix desktop session icons (.desktop files) failing due to
       missing space between "x2goclient" and its 1st argument
       (e.g. "--session") (Fixes: #911)
 .
   [ Henning Heinold ]
   * New upstream release (4.0.5.0):
     - x2goclient.pro: simplify lrelease path preparing for different OS and
       cross compiling. Fixes: #901.
 .
   [ Oleksandr Shneyder ]
   * New upstream release (4.0.5.0):
     - onmainwindow.{cpp,h}: fix multimonitor mode on Windows. Run VcXsrv on
       selected screen without decorations.


Marked Bug as done Request was from X2Go Release Manager <git-admin@x2go.org> to control@bugs.x2go.org. (Tue, 28 Jul 2015 02:55:10 GMT) Full text and rfc822 format available.

Notification sent to Daniel Lindgren <bd.dali@gmail.com>:
Bug acknowledged by developer. (Tue, 28 Jul 2015 02:55:10 GMT) Full text and rfc822 format available.

Message sent on to Daniel Lindgren <bd.dali@gmail.com>:
Bug#696. (Tue, 28 Jul 2015 02:55:18 GMT) Full text and rfc822 format available.

Bug archived. Request was from Debbugs Internal Request <owner@bugs.x2go.org> to internal_control@bugs.x2go.org. (Tue, 25 Aug 2015 05:24:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


X2Go Developers <owner@bugs.x2go.org>. Last modified: Fri Apr 19 05:03:21 2019; Machine Name: ymir.das-netzwerkteam.de

X2Go Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.